{
	"format_version": "1.8.0",
	"animations": {
		"animation.piglin.spear.attack": {
			"loop": true,
			"bones": {
				"leftArm": {
					"rotation": ["-42.5 + (variable.attack2 * 2.2 - variable.attack * 0.4) + variable.x_bob - this", "67.5+variable.attack2 * 0.6 - 5.73 - this", "variable.z_bob - this"],
					"position": [-2, -1, -2]
				},
				"rightArm": {
					"rotation": ["-20 + (variable.attack2 * 2.2 - variable.attack * 0.4) + variable.x_bob - this", "-5+variable.attack2 * 0.6 - 5.73 - this", "-7.5+variable.z_bob - this"]
				}
			}
		},
		"animation.piglin.shield.attack": {
			"loop": true,
			"bones": {
				"leftArm": {
					"rotation": ["(math.cos(query.life_time * 20.0 * 10.89) * 28.65) + (math.sin(variable.attack_time * 180.0) * 68.76 - (math.sin((1.0 - (1.0 - variable.attack_time) * (1.0 - variable.attack_time)) * 180.0)) * 22.92)", 0, 0]
				},
				"rightArm": {
					"rotation": ["-87.5 + (variable.attack2 * 2.2 - variable.attack * 0.4) + variable.x_bob - this", "-55+variable.attack2 * 0.6 - 5.73 - this", "17.5+variable.z_bob - this"],
					"position": [0, 0, -2]
				}
			}
		}
	}
}